Subject: Upcoming discussion on SUB-IP area

From: Alex Zinin <[email-masked]>
Date: Tue, 3 Dec 2002 08:35:31 -0800

Folks-
  
 As you probably know, the IESG is currently discussing the future of
 the SUB-IP area. We had a SUB-IP area open meeting in Atlanta, where
 this question was brought up and the IESG will solicit further
 comments from the community on the ietf-discussion list through an
 e-mail message, describing the situation and the discussion. It is
 possible that some WGs currently in SUB-IP (MPLS, and CCAMP in
 particular) will end up in the RTG area, hence I'd like to encourage
 you guys to participate in the discussion.

 I am attaching the discussion part of the IESG note that will be sent
 this week FYI at the end of the message. Please do NOT distribute it.
 It is also still a draft.

 While the IESG will finally need to take all opinions into
 consideration, my personal position is that changing the SUB-IP
 status to permanent (or long-term) does not make sense, primarily
 because there will be a huge overlap btw SUB and RTG, and we'll
 essentially have two areas dealing with IP fwd'ing and routing, as
 well as another [two] routing AD(s) on the IESG. For this reason, I
 believe MPLS, and CCAMP should go to RTG. PPVPN is a big question,
 looking at what (and how) these guys are doing I'm having mixed
 feelings...
 
-- 
Alex

> The options seem to be:
>         1/ move WGs (back) to permanent areas: migrate the SUB-IP working
> groups to other IETF areas sometime soon, likely before next summer and
> close the SUB-IP area.  Also, reconstitute the SUB-IP (and/or other)
> directorates to ensure the continued coordination between the remaining WGs.
> 
>         2/ establish a long-term area: decide that the SUB-IP area will be
> a long-term one, clearly define its charter,  and ask the nomcom to select
> one or two people to be Area Directors
> 
>         3/ status quo: continue the SUB-IP Area as a temporary, ad-hoc
> effort, much as it has been, with the IESG selecting two sitting ADs to
> continue the effort that Bert & Scott have been doing.  But maybe give more
> responsibility to the working group's technical advisors, normally the AD
> from the area where the working group might otherwise live.
> 
> Data points for the discussion:
> 
> DP1. It does look like a number of the SUB-IP working groups will be
> finishing up their main work in the next year and be ready to be closed
> until it is time to revise the RFCs based on experience or to advance them
> on the standards track. The groups that should be finishing up include ipo,
> gsmp and tewg. That would leave mpls, ppvpn and ccamp.
> 
> DP2. WGs in SUB-IP or the work pursued in them came from existing
> well-established areas, i.e., tewg came from OPS, gsmp, mpls (with ccamp
> and ppvpn as its derivatives) came from RTG.
> 
> DP3. There's still a need for technical oversight from permanent areas, so
> some WGs have a technical advisor--normally the AD from the area where the
> working group might otherwise live (e.g. CCAMP, and PPVPN with a RTG AD as
> the TA).
> 
> DP4. SUB-IP directorate was very useful when the area was just created. It
> is currently passive and WGs continue operating just fine.
> 
> DP5. The sense of the SUB-IP session in Atlanta was that the SUB-IP Area
> was working and there is no compelling reason to break it up.  There is a
> need to clarify the charters of some of the working groups so that the
> different groups understand what the division of tasks are but it is hard
> to identify what problem would be solved by breaking up the area.
> 
> DP6. Extensions to specific IETF technologies should be done in the working
> groups responsible for those technologies based on requirements provided by
> other working groups.  For example, extensions to OSPF should be done by
> the OSPF working group based on input from other working groups or
> individuals rather than being done someplace else.
> 
> Discussions about the options:
> 
> 1/ Move WGs (back) to permanent areas and close the area
> 
> For:
> 
> Each WG within SUB-IP definitely has a strong feature that maps it to a
> given permanent area [1]. The property that logically holds them together
> in SUB-IP now is the need for coordination wrt the technologies that are
> normally considered below the IP layer. While this was indeed necessary
> right after SUB-IP creation, DP4 suggests that the goal has been achieved
> and the focus is shifting back to coordination with permanent areas (e.g.,
> DP3, as well as the fact that RTG WGs are already dealing with SUB-IP
> related extensions). DP1 suggests that there will be about three active WGs
> within a year; at least two of them can be argued to belong in RTG area
> (where they originally came from, see DP2), so it wouldn't make a lot of
> sense to have two separate areas overlapping so considerably. PPVPN does
> not map strongly to any area, however it doesn't map strongly to SUB-IP
> either (MPLS is just one possible encapsulation method)
> 
> Against:
> 
> DP5 suggests that the feeling in the room was against closing the area,
> though there was also some support for the idea that moving MPLS and CCAMP
> to RTG would be a fine idea if the area were to be closed.  The feeling 
> was that the area has been working and that there is no strong argument 
> that there is a need to change things at this time.   
> 
>  
> 
> 2/ Establish a long-term area
> 
> For:
> 
> DP5 suggests that the community believes this is a good idea. See also the
> "Against" for option 1.  In addition the opinion was expressed that having
> a specific area with specifically assigned management, knowledgeable in the
> field, would be an advantage.  In addition, new SUP-IP work may develop in
> the future and it would be good to have a home for it.
> 
> Against:
> 
> See "For" arguments for option 1 above. Also, there was an assumption when
> the area was formed that it would be temporary and the size of the IESG is
> near max effective size. It is also expected that if the nomcom
> needs to find an AD(s) for SUB-IP, the set of required skills would
> be extremely similar to those needed for the RTG area, which again brings
> up the question of whether it makes sense to have two areas with so
> similar expertise scopes.
> 
> 
> 3/ Status quo
> 
> For:
> 
> DP5 suggests that the way the area operates is fine and does not need
> fixing at this time.  As DP1 predicts, there may not be many active 
> SUB-IP working groups within a year and it may be best to wait until 
> a few of the working groups finish their work and close before deciding on
> the long term direction for this work. The IESG would decide which ADs
> would be asked to manage the area in March.
> 
> Against:
> 
>  A decision has to be made sooner or later, delaying the decision will not
> make it any easier to make.
> 
> 
> The IESG would like to hear from the community on this topic - please
> direct your comments to the [email-masked] list.
> 
> --------------------------------------------------
> [1] possible WG to area mappings:
> 
>     - IPO has the IP-over-foo property, which is usually addressed in INT,
>       
>     - GSMP came from RTG
> 
>     - MPLS (aside from the fact that it came from RTG) deals with a
> technology that is arguably another IP forwarding paradigm and relies
> heavily on regular routing functionality and/or protocols.
>       
>     - CCAMP works on a generalized version of MPLS, which could map it to
> RTG as well
> 
>     - TEWG came from O&M
> 
>     - PPVPN: suggestions have been made of INT, because its tunneling which
> is closest to INT, RTG because some of the suggested discovery and VPN
> routing mechanisms, and TSV, because its related to PWE3 (in TSV because of
> congestion control worries)